Bug 1978789 - Repo metadata not generated during incremental update with Pulp 3
Summary: Repo metadata not generated during incremental update with Pulp 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.10.0
Assignee: Ian Ballou
QA Contact: Danny Synk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-02 18:09 UTC by Ian Ballou
Modified: 2021-11-16 14:12 UTC (History)
1 user (show)

Fixed In Version: tfm-rubygem-katello-4.0.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:12:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 32901 0 Normal Closed Incremenal Update doesn't run MetadataGenerate or IndexContent for Pulp 3 yum content 2021-07-08 16:57:01 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:12:26 UTC

Description Ian Ballou 2021-07-02 18:09:42 UTC
Description of problem:

After incremental update, the content view repository does not have the new packages hosted via Pulp 3

Version-Release number of selected component (if applicable):


How reproducible: always


Steps to Reproduce:
1. Incrementally add a package to a content view version
2. See that the new packages are not hosted at /pulp/content or /pulp/repos and thus clients cannot download the new packages
3.

Actual results:
Clients cannot download the new packages

Expected results:
Clients can download the new packages

Additional info:

Comment 1 Bryan Kearney 2021-07-02 20:05:17 UTC
Upstream bug assigned to iballou@redhat.com

Comment 2 Bryan Kearney 2021-07-02 20:05:19 UTC
Upstream bug assigned to iballou@redhat.com

Comment 3 Danny Synk 2021-09-16 18:58:45 UTC
Verified on Satellite 6.10, snap 18.

Steps to Test:
1. Synchronize the rhel-7-server-rpms repo and add it to a content view.
2. Create a content filter on the content view with Inclusion Type 'Include' and Content Type `Errata - by Date and Type.' Include all errata types in the filter. Set the Date Type to 'Issued On' and the End Date to 1 May 2021.
3. Publish the content view.
4. Add a single erratum to the content view that was issued after the end date of the content filter rule:

~~~
# hammer erratum list | grep RHSA-2021:3325
617  | RHSA-2021:3325 | security    | Moderate: bind security update                                                   | 2021-08-31 | 2021-08-31
# hammer content-view version incremental-update --content-view-version-id 5 --errata-ids 617
[....................................................................................................................................................] [100%]
Content View: rhel7_incremental_test version 3.2
Added Content:
  Errata:
        RHSA-2021:3325
  Packages:
        bind-9.11.4-26.P2.el7_9.7.x86_64
        bind-chroot-9.11.4-26.P2.el7_9.7.x86_64
        bind-export-libs-9.11.4-26.P2.el7_9.7.i686
        bind-export-libs-9.11.4-26.P2.el7_9.7.x86_64
        bind-libs-9.11.4-26.P2.el7_9.7.i686
        bind-libs-9.11.4-26.P2.el7_9.7.x86_64
        bind-libs-lite-9.11.4-26.P2.el7_9.7.i686
        bind-libs-lite-9.11.4-26.P2.el7_9.7.x86_64
        bind-license-9.11.4-26.P2.el7_9.7.noarch
        bind-pkcs11-9.11.4-26.P2.el7_9.7.x86_64
        bind-pkcs11-libs-9.11.4-26.P2.el7_9.7.i686
        bind-pkcs11-libs-9.11.4-26.P2.el7_9.7.x86_64
        bind-pkcs11-utils-9.11.4-26.P2.el7_9.7.x86_64
        bind-utils-9.11.4-26.P2.el7_9.7.x86_64
~~~

5. Register a RHEL 7 host to Satellite and associate it with the content view created above.
6. Install a package from the erratum added in the incremental update (I installed bind).

Expected Results:
The package version added in the incremental update (bind-9.11.4-26.P2.el7_9.7.x86_64.rpm) is installed along with its dependencies.

Actual Results:
The package version added in the incremental update (bind-9.11.4-26.P2.el7_9.7.x86_64.rpm) is installed along with its dependencies.

Comment 6 errata-xmlrpc 2021-11-16 14:12:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.